Tests need to provide dummy sbin/virt-what-cpuid-helper, dmidecode and
uname. This ensures that if we are running the test suite under (eg)
KVM, that virt-what doesn't discover this.
The failure was:
./test.sh: test failed because output did not match expected
Expected output was:
----------------------------------------
illumos-lx
----------------------------------------
But the actual output of the program was:
----------------------------------------
illumos-lx
kvm
----------------------------------------
Fixes: commit
763cf1b1123136751b71f475610c5ac1eeaba0ad
EXTRA_DIST = \
test.sh \
proc/1/environ \
- proc/version
+ proc/version \
+ sbin/dmidecode \
+ sbin/uname \
+ sbin/virt-what-cpuid-helper
--- /dev/null
+#!/bin/sh -
+cat <<'EOF'
+# dmidecode 2.11
+/dev/mem: Operation not permitted
+EOF
+exit 1
--- /dev/null
+#!/bin/sh -
+echo x86_64
--- /dev/null
+#!/bin/sh -
+echo @